Edit a recording
curl --request PATCH \
--url https://app.italic.com/api/v2/recordings/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'If-Match: <if-match>' \
--data '
{
"title": "<string>",
"transcript": "<string>",
"summary": "<string>",
"pinned": true
}
'import requests
url = "https://app.italic.com/api/v2/recordings/{id}"
payload = {
"title": "<string>",
"transcript": "<string>",
"summary": "<string>",
"pinned": True
}
headers = {
"If-Match": "<if-match>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'If-Match': '<if-match>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({title: '<string>', transcript: '<string>', summary: '<string>', pinned: true})
};
fetch('https://app.italic.com/api/v2/recordings/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"recording": {
"id": "<string>",
"type": "clip",
"title": "<string>",
"transcript": "<string>",
"summary": "<string>",
"recordedAt": 4503599627370495,
"updatedAt": 4503599627370495,
"revision": 4503599627370495,
"status": "pending",
"pinned": true,
"audio": [
{
"clientId": "<string>",
"fileId": "<string>"
}
],
"deviceId": "<string>",
"externalId": "<string>"
},
"replayed": true
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Recordings
Edit a recording
Required permission: recordings:write.
PATCH
/
recordings
/
{id}
Edit a recording
Authorizations
An API key from Settings → Integrations.
Headers
ETag from the last GET response. Prevents overwriting a newer edit.
Maximum string length:
100Path Parameters
Required string length:
1 - 256Pattern:
^[A-Za-z0-9][A-Za-z0-9._:-]*$Body
application/json